## iw 0.9.19-1maemo4

=== Makefile ===
-include .config

MAKEFLAGS += --no-print-directory

PREFIX ?= /usr
SBINDIR ?= $(PREFIX)/sbin
MANDIR ?= $(PREFIX)/share/man
PKG_CONFIG ?= pkg-config

MKDIR ?= mkdir -p
INSTALL ?= install
CC ?= "gcc"

CFLAGS ?= -O2 -g
CFLAGS += -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -Werror-implicit-function-declaration

OBJS = iw.o genl.o event.o info.o phy.o \
	interface.o ibss.o station.o survey.o util.o \
	mesh.o mpath.o scan.o reg.o version.o \
	reason.o status.o connect.o link.o
OBJS += sections.o
ALL = iw

NL1FOUND := $(shell $(PKG_CONFIG) --atleast-version=1 libnl-1 && echo Y)
NL2FOUND := $(shell $(PKG_CONFIG) --atleast-version=2 libnl-2.0 && echo Y)

ifeq ($(NL1FOUND),Y)
NLLIBNAME = libnl-1
endif

ifeq ($(NL2FOUND),Y)
CFLAGS += -DCONFIG_LIBNL20
LIBS += -lnl-genl
NLLIBNAME = libnl-2.0
endif

ifeq ($(NLLIBNAME),)
$(error Cannot find development files for any supported version of libnl)
endif

LIBS += $(shell $(PKG_CONFIG) --libs $(NLLIBNAME))
CFLAGS += $(shell $(PKG_CONFIG) --cflags $(NLLIBNAME))

ifeq ($(V),1)
Q=
NQ=true
else
Q=@
NQ=echo
endif

all: version_check $(ALL)

version_check:
ifeq ($(NL2FOUND),Y)
else
ifeq ($(NL1FOUND),Y)
else
	$(error No libnl found)
endif
endif


VERSION_OBJS := $(filter-out version.o, $(OBJS))

version.c: version.sh $(patsubst %.o,%.c,$(VERSION_OBJS)) nl80211.h iw.h Makefile \
		$(wildcard .git/index .git/refs/tags)
	@$(NQ) ' GEN ' $@
	$(Q)./version.sh $@

%.o: %.c iw.h nl80211.h
	@$(NQ) ' CC  ' $@
	$(Q)$(CC) $(CFLAGS) -c -o $@ $<

iw:	$(OBJS)
	@$(NQ) ' CC  ' iw
	$(Q)$(CC) $(LDFLAGS) $(OBJS) $(LIBS) -o iw

check:
	$(Q)$(MAKE) all CC="REAL_CC=$(CC) CHECK=\"sparse -Wall\" gcc"

%.gz: %
	@$(NQ) ' GZIP' $<
	$(Q)gzip < $< > $@

install: iw iw.8.gz
	@$(NQ) ' INST iw'
	$(Q)$(MKDIR) $(DESTDIR)$(SBINDIR)
	$(Q)$(INSTALL) -m 755 iw $(DESTDIR)$(SBINDIR)

clean:
	$(Q)rm -f iw *.o *~ *.gz version.c *-stamp

## iw 0.9.19~ubuntu1

=== debian/changelog ===
iw (0.9.19~ubuntu1) lucid; urgency=low

  * Updated to upstream 0.9.19
    sid unstable is still at 0.9.18 in iw/trunk

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 20 Jan 2010 09:58:50 -0700

iw (0.9.14-1) unstable; urgency=low

  * New upstream release.
  * Use minimal dh-centric debian/rules.

 -- Kel Modderman <kel@otaku42.de>  Mon, 18 May 2009 05:41:31 +1000

iw (0.9.11-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.8.1. No other changes required.

 -- Kel Modderman <kel@otaku42.de>  Sat, 28 Mar 2009 03:17:01 +1000

iw (0.9.9-2) unstable; urgency=low

  * Change Priority to extra from optional to avoid override disparity.

 -- Kel Modderman <kel@otaku42.de>  Mon, 09 Feb 2009 02:19:15 +1000

iw (0.9.9-1) unstable; urgency=low

  [ Kel Modderman ]
  * New upstream release.
  * Update debian/copyright for change from BSD-3 -> ISC license.
  * Add ${misc:Depends} to dependency field, as debhelper uses it as
    required.
  * Add debian/watch.
  * Versioned conflict with aircrack-ng (<< 1:1.0~rc2-1), which shipped and
    own copy of iw until that version. (Closes: #514344)
  * Target upload to unstable now that a versioned conflict against
    aircrack-ng is in place.

  [ Loic Minier ]
  * Let install-stamp depend on build-stamp instead of install depending on
    install-stamp and build.
  * List build, clean, install, binary-arch, binary-indep and binary in
    .PHONY.
  * Use $@ instead of explicit build-stamp/install-stamp in debian/rules.

 -- Kel Modderman <kel@otaku42.de>  Sun, 08 Feb 2009 21:57:34 +1000

iw (0.9.6-1) experimental; urgency=low

  * Initial release. (Closes: #499537)

 -- Kel Modderman <kel@otaku42.de>  Thu, 30 Oct 2008 23:17:16 +1000

=== debian/control ===
Source: iw
Section: net
Priority: extra
Maintainer: Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>
Uploaders: Faidon Liambotis <paravoid@debian.org>,
 Reinhard Tartler <siretart@tauware.de>,
 Kel Modderman <kel@otaku42.de>
Build-Depends: debhelper (>= 7),
 libnl-dev (>= 1.1),
 pkg-config (>= 0.22)
Standards-Version: 3.8.1
Vcs-Svn: svn://svn.debian.org/pkg-wpa/iw/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-wpa/iw/trunk/
Homepage: http://wireless.kernel.org/en/users/Documentation/iw

Package: iw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: aircrack-ng (<< 1:1.0~rc2-1)
Description: tool for configuring Linux wireless devices
 This package contains the `iw' tool which allows you to configure and show
 information about wireless networking.
 .
 In the future iw will become the canonical command line tool for wireless
 configuration and iwconfig/wireless-tools will no longer be required. See
 /usr/share/doc/iw/README.Debian for a more detailed overview of iw.

=== debian/watch ===
version=3
http://wireless.kernel.org/download/iw/iw-(.*)\.tar\.bz2 debian uupdate

## iw 0.9.19

=== debian/changelog ===
iw (0.9.19-1) unstable; urgency=low

  * New upstream release.
    - iw moves from /usr/bin to /usr/sbin
  * Switch to source format 3.0 (quilt).
  * Bump Standards-Version to 3.8.4, no other changes required.
  * Remove Reinhard Tartler from uploaders as per request. Thanks for
    past contributions.
  * Remove uupdate command from debian/watch, bz2 orig tarballs can now
    be used.
  * Ensure DEB_BUILD_OPTIONS=noopt is respected by exporting default
    CFLAGS in debian/rules.
  * Export V=1 in debian/rules so that the upstream build system is
    verbose.
  * Update debian/copyright.

 -- Kel Modderman <kel@otaku42.de>  Sun, 11 Apr 2010 14:25:22 +1000

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: extra
 Maintainer: Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>
 Uploaders: Faidon Liambotis <paravoid@debian.org>,
- Reinhard Tartler <siretart@tauware.de>,
  Kel Modderman <kel@otaku42.de>
 Build-Depends: debhelper (>= 7),
  libnl-dev (>= 1.1),
  pkg-config (>= 0.22)
-Standards-Version: 3.8.1
+Standards-Version: 3.8.4
 Vcs-Svn: svn://svn.debian.org/pkg-wpa/iw/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-wpa/iw/trunk/
 Homepage: http://wireless.kernel.org/en/users/Documentation/iw

=== debian/rules ===
#!/usr/bin/make -f
export CFLAGS = -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)
export V=1

%:
	dh $@

## iw 0.9.19-1maemo3

=== debian/changelog ===
iw (0.9.19-1maemo3) freemantle; urgency=low

  * Got rid of cgcc in the Makefile

 -- Tobias Mueller <tobiasmue@gnome.org>  Thu, 16 Dec 2010 11:33:01 +0530

iw (0.9.19-1maemo2) freemantle; urgency=low

  * Some problems with the man pages solved

 -- Tobias Mueller <tobiasmue@gnome.org>  Thu, 16 Dec 2010 11:27:14 +0530

iw (0.9.19-1maemo1) freemantle; urgency=low

  * Hm, install -t doesn't work on Maemo, thus trying to do it in
    another way

 -- Tobias Mueller <tobiasmue@gnome.org>  Thu, 16 Dec 2010 11:21:09 +0530

iw (0.9.19-1maemo0) freemantle; urgency=low

  * Trying to build for Maemo

 -- Tobias Mueller <tobiasmue@gnome.org>  Thu, 16 Dec 2010 11:15:37 +0530

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>
 Uploaders: Faidon Liambotis <paravoid@debian.org>,
  Kel Modderman <kel@otaku42.de>
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper7,
  libnl-dev (>= 1.1),
  pkg-config (>= 0.22)
 Standards-Version: 3.8.4

## iw 0.9.19-1maemo4

=== debian/changelog ===
iw (0.9.19-1maemo4) freemantle; urgency=low

  * Remove aircrack-ng dependency conflict

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Wed, 25 May 2011 11:08:16 -0400

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,8 @@
 Homepage: http://wireless.kernel.org/en/users/Documentation/iw
 
 Package: iw
-Architecture: any
+Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: aircrack-ng (<< 1:1.0~rc2-1)
 Description: tool for configuring Linux wireless devices
  This package contains the `iw' tool which allows you to configure and show
  information about wireless networking.

=== debian/watch ===
version=3
http://wireless.kernel.org/download/iw/iw-(.*)\.tar\.bz2

## iw 3.1

=== debian/changelog ===
iw (3.1-1) unstable; urgency=low

  * New upstream release.
    - support wake on wlan commands.
  * add myself to uploaders.
  * bump standards version to 3.9.2:
    - use Breaks/ Replaces in favour of Conflicts with previous aircrack
      versions, policy 7.4.
  * update copyright years, clarify copyright status for nl80211.h.
  * don't use git on the buildd (Closes: #557167).
  * update debian/copyright to DEP-5, r174.
  * use new anonscm URIs for alioth.
  * backport libnl-3.0 support from upstream and switch to it.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 10 Sep 2011 00:50:29 +0200

=== debian/control ===
Source: iw
Section: net
Priority: extra
Maintainer: Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>
Uploaders: Faidon Liambotis <paravoid@debian.org>,
 Kel Modderman <kel@otaku42.de>,
 Stefan Lippers-Hollmann <s.l-h@gmx.de>
Build-Depends: debhelper (>= 7),
 libnl3-dev,
 pkg-config (>= 0.22)
Standards-Version: 3.9.2
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-wpa/iw/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-wpa/iw/trunk/
Homepage: http://wireless.kernel.org/en/users/Documentation/iw

Package: iw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: aircrack-ng (<< 1:1.0~rc2-1)
Replaces: aircrack-ng (<< 1:1.0~rc2-1)
Description: tool for configuring Linux wireless devices
 This package contains the `iw' tool which allows you to configure and show
 information about wireless networking.
 .
 In the future iw will become the canonical command line tool for wireless
 configuration and iwconfig/wireless-tools will no longer be required. See
 /usr/share/doc/iw/README.Debian for a more detailed overview of iw.

## iw 3.2

=== debian/changelog ===
iw (3.2-1) unstable; urgency=low

  [ Stefan Lippers-Hollmann ]
  * New upstream release:
    - support libnl3
  * restrict debian/watch to ignore new iw-latest link.
  * use Format instead of Format-Specification in debian/copyright, thanks to
    Michael Biebl for noticing; fix Format URL.
  * restrict architecture to linux-any, it depends on the linux specific
    nl80211 kernel interface.
  * add fix for the newly introduced tx power validation regression from
    upstream, thanks to Felix Fietkau <nbd@openwrt.org>.
  * fix linking against different libnl3.x versions, taken from upstream git:
    - fix compilation against libnl-3.x
    - always use libnl 3.2 as 3.2, not 3.0
  * switch build dependency from libnl3-dev to libnl-3-dev && libnl-genl-3-dev
    in order to cope with libnl3 3.2.
  * raise versioned build-dependency to (>= 3.2.3-2~), to be able to expect it
    in /lib/.
  * move iw to /sbin/, as it is needed during early boot by udev rules to set
    regdom settings non-interactively (Closes: #622247).
  * recommend crda, which is needed to execute regulatory domain changes
    (Closes: #653703).

  [ Jonathan Nieder ]
  * change Priority to optional from extra (Closes: #591102).

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 30 Dec 2011 15:24:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: iw
 Section: net
-Priority: extra
+Priority: optional
 Maintainer: Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>
 Uploaders: Faidon Liambotis <paravoid@debian.org>,
  Kel Modderman <kel@otaku42.de>,
  Stefan Lippers-Hollmann <s.l-h@gmx.de>
 Build-Depends: debhelper (>= 7),
- libnl3-dev,
+ libnl-3-dev (>= 3.2.3-2~),
+ libnl-genl-3-dev (>= 3.2.3-2~),
  pkg-config (>= 0.22)
 Standards-Version: 3.9.2
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-wpa/iw/trunk/
@@ -14,8 +15,9 @@
 Homepage: http://wireless.kernel.org/en/users/Documentation/iw
 
 Package: iw
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: crda
 Breaks: aircrack-ng (<< 1:1.0~rc2-1)
 Replaces: aircrack-ng (<< 1:1.0~rc2-1)
 Description: tool for configuring Linux wireless devices

=== debian/rules ===
#!/usr/bin/make -f
export CFLAGS = -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)
export V=1
export SBINDIR="/sbin/"

%:
	dh $@

## iw 3.4

=== Makefile ===
--- 
+++ 
@@ -17,12 +17,16 @@
 OBJS = iw.o genl.o event.o info.o phy.o \
 	interface.o ibss.o station.o survey.o util.o \
 	mesh.o mpath.o scan.o reg.o version.o \
-	reason.o status.o connect.o link.o
+	reason.o status.o connect.o link.o offch.o ps.o cqm.o \
+	bitrate.o wowlan.o roc.o
 OBJS += sections.o
 ALL = iw
 
 NL1FOUND := $(shell $(PKG_CONFIG) --atleast-version=1 libnl-1 && echo Y)
 NL2FOUND := $(shell $(PKG_CONFIG) --atleast-version=2 libnl-2.0 && echo Y)
+NL3FOUND := $(shell $(PKG_CONFIG) --atleast-version=3 libnl-3.0 && echo Y)
+NL31FOUND := $(shell $(PKG_CONFIG) --exact-version=3.1 libnl-3.1 && echo Y)
+NL3xFOUND := $(shell $(PKG_CONFIG) --atleast-version=3.2 libnl-3.0 && echo Y)
 
 ifeq ($(NL1FOUND),Y)
 NLLIBNAME = libnl-1
@@ -32,6 +36,28 @@
 CFLAGS += -DCONFIG_LIBNL20
 LIBS += -lnl-genl
 NLLIBNAME = libnl-2.0
+endif
+
+ifeq ($(NL3xFOUND),Y)
+# libnl 3.2 might be found as 3.2 and 3.0
+NL3FOUND = N
+CFLAGS += -DCONFIG_LIBNL30
+LIBS += -lnl-genl-3
+NLLIBNAME = libnl-3.0
+endif
+
+ifeq ($(NL3FOUND),Y)
+CFLAGS += -DCONFIG_LIBNL30
+LIBS += -lnl-genl
+NLLIBNAME = libnl-3.0
+endif
+
+# nl-3.1 has a broken libnl-gnl-3.1.pc file
+# as show by pkg-config --debug --libs --cflags --exact-version=3.1 libnl-genl-3.1;echo $?
+ifeq ($(NL31FOUND),Y)
+CFLAGS += -DCONFIG_LIBNL30
+LIBS += -lnl-genl
+NLLIBNAME = libnl-3.1
 endif
 
 ifeq ($(NLLIBNAME),)
@@ -49,17 +75,7 @@
 NQ=echo
 endif
 
-all: version_check $(ALL)
-
-version_check:
-ifeq ($(NL2FOUND),Y)
-else
-ifeq ($(NL1FOUND),Y)
-else
-	$(error No libnl found)
-endif
-endif
-
+all: $(ALL)
 
 VERSION_OBJS := $(filter-out version.o, $(OBJS))
 
@@ -77,7 +93,7 @@
 	$(Q)$(CC) $(LDFLAGS) $(OBJS) $(LIBS) -o iw
 
 check:
-	$(Q)$(MAKE) all CC="REAL_CC=$(CC) CHECK=\"sparse -Wall\" gcc"
+	$(Q)$(MAKE) all CC="REAL_CC=$(CC) CHECK=\"sparse -Wall\" cgcc"
 
 %.gz: %
 	@$(NQ) ' GZIP' $<
@@ -87,6 +103,9 @@
 	@$(NQ) ' INST iw'
 	$(Q)$(MKDIR) $(DESTDIR)$(SBINDIR)
 	$(Q)$(INSTALL) -m 755 iw $(DESTDIR)$(SBINDIR)
+	@$(NQ) ' INST iw.8'
+	$(Q)$(MKDIR) $(DESTDIR)$(MANDIR)/man8/
+	$(Q)$(INSTALL) -m 644 iw.8.gz $(DESTDIR)$(MANDIR)/man8/
 
 clean:
 	$(Q)rm -f iw *.o *~ *.gz version.c *-stamp

=== debian/changelog ===
iw (3.4-1) unstable; urgency=low

  [ Stefan Lippers-Hollmann ]
  * New upstream release:
    - iw: add HT options for ibss
  * bump standards version to 3.9.3, no changes necessary.
  * update dep-5 version to final 1.0, no changes necessary.
  * update copyright information.
  * convert packaging to Multi-Arch, bump compat level to 9 and adapt debhelper
    build-dependency accordingly; all binaries are Multi-Arch=foreign.
  * Remove Faidon Liambotis <paravoid@debian.org> from Uploaders as per
    his request, many thanks for all past efforts Faidon.

  [ Kel Modderman ]
  * Add support for cross-building by setting CC to something
    appropriate.
  * Add append-cppflags.patch to modify upstream Makefile in order to append
    CPPFLAGS to CFLAGS if set in build environment.

 -- Kel Modderman <kel@otaku42.de>  Tue, 15 May 2012 22:17:42 +1000

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 Section: net
 Priority: optional
 Maintainer: Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>
-Uploaders: Faidon Liambotis <paravoid@debian.org>,
- Kel Modderman <kel@otaku42.de>,
+Uploaders: Kel Modderman <kel@otaku42.de>,
  Stefan Lippers-Hollmann <s.l-h@gmx.de>
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 9.20120115),
  libnl-3-dev (>= 3.2.3-2~),
  libnl-genl-3-dev (>= 3.2.3-2~),
  pkg-config (>= 0.22)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-wpa/iw/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-wpa/iw/trunk/
 Homepage: http://wireless.kernel.org/en/users/Documentation/iw
 
 Package: iw
 Architecture: linux-any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: crda
 Breaks: aircrack-ng (<< 1:1.0~rc2-1)

=== debian/rules ===
#!/usr/bin/make -f

SBINDIR = /sbin
V       = 1

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

export CC SBINDIR V

%:
	dh $@

=== debian/watch ===
version=3
http://wireless.kernel.org/download/iw/iw-([\.0-9]+)\.tar\.bz2

## iw 3.17

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,3 @@
--include .config
-
 MAKEFLAGS += --no-print-directory
 
 PREFIX ?= /usr
@@ -18,15 +16,29 @@
 	interface.o ibss.o station.o survey.o util.o \
 	mesh.o mpath.o scan.o reg.o version.o \
 	reason.o status.o connect.o link.o offch.o ps.o cqm.o \
-	bitrate.o wowlan.o roc.o
+	bitrate.o wowlan.o coalesce.o roc.o p2p.o
 OBJS += sections.o
+
+OBJS-$(HWSIM) += hwsim.o
+
+OBJS += $(OBJS-y) $(OBJS-Y)
+
 ALL = iw
 
+ifeq ($(NO_PKG_CONFIG),)
+NL3xFOUND := $(shell $(PKG_CONFIG) --atleast-version=3.2 libnl-3.0 && echo Y)
+ifneq ($(NL3xFOUND),Y)
+NL31FOUND := $(shell $(PKG_CONFIG) --exact-version=3.1 libnl-3.1 && echo Y)
+ifneq ($(NL31FOUND),Y)
+NL3FOUND := $(shell $(PKG_CONFIG) --atleast-version=3 libnl-3.0 && echo Y)
+ifneq ($(NL3FOUND),Y)
+NL2FOUND := $(shell $(PKG_CONFIG) --atleast-version=2 libnl-2.0 && echo Y)
+ifneq ($(NL2FOUND),Y)
 NL1FOUND := $(shell $(PKG_CONFIG) --atleast-version=1 libnl-1 && echo Y)
-NL2FOUND := $(shell $(PKG_CONFIG) --atleast-version=2 libnl-2.0 && echo Y)
-NL3FOUND := $(shell $(PKG_CONFIG) --atleast-version=3 libnl-3.0 && echo Y)
-NL31FOUND := $(shell $(PKG_CONFIG) --exact-version=3.1 libnl-3.1 && echo Y)
-NL3xFOUND := $(shell $(PKG_CONFIG) --atleast-version=3.2 libnl-3.0 && echo Y)
+endif
+endif
+endif
+endif
 
 ifeq ($(NL1FOUND),Y)
 NLLIBNAME = libnl-1
@@ -66,6 +78,7 @@
 
 LIBS += $(shell $(PKG_CONFIG) --libs $(NLLIBNAME))
 CFLAGS += $(shell $(PKG_CONFIG) --cflags $(NLLIBNAME))
+endif # NO_PKG_CONFIG
 
 ifeq ($(V),1)
 Q=

=== debian/changelog ===
iw (3.17-1) unstable; urgency=medium

  * New upstream release.
  * bump standards version to 3.9.6, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 14 Oct 2014 20:42:02 +0200

iw (3.14-1) unstable; urgency=medium

  * New upstream release:
    - drop dont-use-git-on-the-buildd.patch, which has been applied upstream.
  * drop obsolete forecasts about iw integration from README.Debian
    (Closes: #683281).
  * update watch file to the new location at kernel.org, switch to xz
    compressed tarballs as well.
  * bump standards version to 3.9.5, no changes necessary.
  * update to new alioth URIs (vcs-field-not-canonical).
  * reflect reality and adapt the maintainer mail address not to claim
    representing Ubuntu.
  * drop version information from the build-depends on pkg-config, even lenny
    (old-oldstable) meets this.
  * deploy hardening support.
  * allow parallel building.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 25 Jan 2014 01:42:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: iw
 Section: net
 Priority: optional
-Maintainer: Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>
+Maintainer: Debian wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>
 Uploaders: Kel Modderman <kel@otaku42.de>,
  Stefan Lippers-Hollmann <s.l-h@gmx.de>
 Build-Depends: debhelper (>= 9.20120115),
  libnl-3-dev (>= 3.2.3-2~),
  libnl-genl-3-dev (>= 3.2.3-2~),
- pkg-config (>= 0.22)
-Standards-Version: 3.9.3
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-wpa/iw/trunk/
+ pkg-config
+Standards-Version: 3.9.6
+Vcs-Svn: svn://anonscm.debian.org/pkg-wpa/iw/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-wpa/iw/trunk/
 Homepage: http://wireless.kernel.org/en/users/Documentation/iw

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+include /usr/share/dpkg/buildflags.mk
 
 SBINDIR = /sbin
 V       = 1
@@ -12,4 +15,4 @@
 export CC SBINDIR V
 
 %:
-	dh $@
+	dh ${@} --parallel

=== debian/watch ===
version=3
http://kernel.org/pub/software/network/iw/iw-([\.0-9]+)\.tar\.xz

## iw 4.9

=== debian/changelog ===
iw (4.9-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Wed, 26 Oct 2016 16:55:00 +0200

iw (4.7-0.1) unstable; urgency=low

  * Non-maintainer upload.
  [ Stefan Lippers-Hollmann ]
  * New upstream release:
    - refresh patches.
    - make sure to use /run/netns directly, rather than using the indirection
      via /var/run/.

  [ Laurent Bigonville ]
  * New upstream release 4.7 (Closes: #816457)
    - refresh patches.

 -- Laurent Bigonville <bigon@debian.org>  Fri, 14 Oct 2016 14:55:37 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 include /usr/share/dpkg/buildflags.mk
+
+DEB_CFLAGS_MAINT_APPEND += -DNETNS_RUN_DIR=\"/run/netns\"
+export DEB_CFLAGS_MAINT_APPEND
 
 SBINDIR = /sbin
 V       = 1

## iw 4.14

=== debian/changelog ===
iw (4.14-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ Laurent Bigonville ]
  * New upstream release
  * debian/control: Bump Standards-Version to 4.1.3 (no further changes)

  [ Helmut Grohne ]
  * Fix FTCBFS: Use triplet prefixed pkg-config (Closes: #836095)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 16 Jan 2018 11:18:03 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libnl-3-dev (>= 3.2.3-2~),
  libnl-genl-3-dev (>= 3.2.3-2~),
  pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 4.1.3
 Vcs-Svn: svn://anonscm.debian.org/pkg-wpa/iw/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-wpa/iw/trunk/
 Homepage: http://wireless.kernel.org/en/users/Documentation/iw

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

DEB_CFLAGS_MAINT_APPEND += -DNETNS_RUN_DIR=\"/run/netns\"
export DEB_CFLAGS_MAINT_APPEND

SBINDIR = /sbin
V       = 1

ifeq ($(origin CC),default)
	CC=$(DEB_HOST_GNU_TYPE)-gcc
endif
PKG_CONFIG ?= $(DEB_HOST_GNU_TYPE)-pkg-config

export CC PKG_CONFIG SBINDIR V

%:
	dh ${@} --parallel

## iw 5.0.1

=== debian/changelog ===
iw (5.0.1-1) unstable; urgency=medium

  * New upstream version 5.0.1
  * Bump compat level to 12 (no changes needed)
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * d/gbp.conf: upstream-branch = upstream/latest (DEP14)

 -- Paride Legovini <pl@ninthfloor.org>  Tue, 05 Feb 2019 23:39:14 +0000

iw (4.14-1) unstable; urgency=medium

  * Set myself (Paride Legovini) as Maintainer (closes: #910798)
  * Add d/gbp.conf (DEP14)
  * Make uscan verify the downloaded tarball signature
  * Bump Standards-Version to 4.2.1 (no changes needed)
  * Bump compat level to 11:
    - Delete d/compat (will use a debhelper-compat B-D)
    - Build-Depend on debhelper-compat (= 11)
    - d/rules: drop the `--parallel` dh option
    - d/rules: remove unnecessary V=1 (set by debhelper)
    - d/rules: no need to include buildflags.mk with compat >= 9
  * d/copyright: use secure copyright format URI
  * d/copyright: use kernel.org as Source
  * d/copyright: add myself (Paride Legovini)
  * d/rules: remove unnecessary cross-compilation settings
  * d/control: point the Vcs- fields to salsa
  * d/control: use secure Homepage URI
  * Drop append-cppflags.patch; append CPPLAGS in d/rules

 -- Paride Legovini <pl@ninthfloor.org>  Thu, 08 Nov 2018 15:44:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: iw
 Section: net
 Priority: optional
-Maintainer: Debian wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>
-Uploaders: Kel Modderman <kel@otaku42.de>,
- Stefan Lippers-Hollmann <s.l-h@gmx.de>
-Build-Depends: debhelper (>= 9.20120115),
+Maintainer: Paride Legovini <pl@ninthfloor.org>
+Build-Depends: debhelper-compat (= 12),
  libnl-3-dev (>= 3.2.3-2~),
  libnl-genl-3-dev (>= 3.2.3-2~),
  pkg-config
-Standards-Version: 4.1.3
-Vcs-Svn: svn://anonscm.debian.org/pkg-wpa/iw/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-wpa/iw/trunk/
-Homepage: http://wireless.kernel.org/en/users/Documentation/iw
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/debian/iw.git
+Vcs-Browser: https://salsa.debian.org/debian/iw
+Homepage: https://wireless.kernel.org/en/users/Documentation/iw
 
 Package: iw
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND += -DNETNS_RUN_DIR=\"/run/netns\"

%:
	dh $@

override_dh_auto_clean:
	# dh_auto_clean does not set PKG_CONFIG according to the cross-compilation
	# environment, but the Makefile calls it even for the `clean` target, which
	# causes a FTCBFS (see #836095). There is no need for calling pkg-config
	# for the `clean` target, and setting NO_PKG_CONFIG=1 prevents it.
	# The same goes for dh_auto_install and the `install` target.
	dh_auto_clean -- NO_PKG_CONFIG=1

override_dh_auto_build:
	# The Makefile supports CFLAGS, but not CPPFLAGS. Let's append them.
	#
	# Patch merged upstream (commit 02bc7751d7ac7db1b4e2ca354bd369a3c7f27cde).
	# TODO: drop this override with the next upstream release (> 4.14).
	CFLAGS="$$CFLAGS $$CPPFLAGS" dh_auto_build

override_dh_auto_install:
	# See the comment for override_dh_auto_clean.
	dh_auto_install -- NO_PKG_CONFIG=1 SBINDIR=/sbin

## iw 5.3

=== debian/changelog ===
iw (5.3-1) unstable; urgency=medium

  * New upstream version 5.3
  * Bump Standards-Version to 4.4.0 (no changes needed)
  * Do not append CPPFLAGS to CFLAGS in d/rules

 -- Paride Legovini <pl@ninthfloor.org>  Sun, 25 Aug 2019 21:51:42 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  libnl-3-dev (>= 3.2.3-2~),
  libnl-genl-3-dev (>= 3.2.3-2~),
  pkg-config
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/debian/iw.git
 Vcs-Browser: https://salsa.debian.org/debian/iw
 Homepage: https://wireless.kernel.org/en/users/Documentation/iw

## iw 5.4

=== Makefile ===
--- 
+++ 
@@ -9,19 +9,18 @@
 INSTALL ?= install
 CC ?= "gcc"
 
+cc-option = $(shell set -e ; $(CC) $(1) -c -x c /dev/null -o /dev/null >/dev/null 2>&1 && echo '$(1)')
+
+CFLAGS_EVAL := $(call cc-option,-Wstringop-overflow=4)
+
 CFLAGS ?= -O2 -g
-CFLAGS += -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -Werror-implicit-function-declaration
+CFLAGS += -Wall -Wextra -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common \
+	  -Werror-implicit-function-declaration -Wsign-compare -Wno-unused-parameter \
+	  $(CFLAGS_EVAL)
 
-OBJS = iw.o genl.o event.o info.o phy.o \
-	interface.o ibss.o station.o survey.o util.o \
-	mesh.o mpath.o scan.o reg.o version.o \
-	reason.o status.o connect.o link.o offch.o ps.o cqm.o \
-	bitrate.o wowlan.o coalesce.o roc.o p2p.o
-OBJS += sections.o
-
-OBJS-$(HWSIM) += hwsim.o
-
-OBJS += $(OBJS-y) $(OBJS-Y)
+_OBJS := $(sort $(patsubst %.c,%.o,$(wildcard *.c)))
+VERSION_OBJS := $(filter-out version.o, $(_OBJS))
+OBJS := $(VERSION_OBJS) version.o
 
 ALL = iw
 
@@ -90,20 +89,24 @@
 
 all: $(ALL)
 
-VERSION_OBJS := $(filter-out version.o, $(OBJS))
-
 version.c: version.sh $(patsubst %.o,%.c,$(VERSION_OBJS)) nl80211.h iw.h Makefile \
 		$(wildcard .git/index .git/refs/tags)
 	@$(NQ) ' GEN ' $@
 	$(Q)./version.sh $@
 
-%.o: %.c iw.h nl80211.h
+nl80211-commands.inc: nl80211.h
+	@$(NQ) ' GEN ' $@
+	$(Q)sed 's%^\tNL80211_CMD_%%;t n;d;:n s%^\([^=]*\),.*%\t[NL80211_CMD_\1] = \"\L\1\",%;t;d' nl80211.h | grep -v "reserved" > $@
+
+%.o: %.c iw.h nl80211.h nl80211-commands.inc
 	@$(NQ) ' CC  ' $@
-	$(Q)$(CC) $(CFLAGS) -c -o $@ $<
+	$(Q)$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<
 
+ifeq ($(IW_ANDROID_BUILD),)
 iw:	$(OBJS)
 	@$(NQ) ' CC  ' iw
 	$(Q)$(CC) $(LDFLAGS) $(OBJS) $(LIBS) -o iw
+endif
 
 check:
 	$(Q)$(MAKE) all CC="REAL_CC=$(CC) CHECK=\"sparse -Wall\" cgcc"
@@ -121,4 +124,4 @@
 	$(Q)$(INSTALL) -m 644 iw.8.gz $(DESTDIR)$(MANDIR)/man8/
 
 clean:
-	$(Q)rm -f iw *.o *~ *.gz version.c *-stamp
+	$(Q)rm -f iw *.o *~ *.gz version.c *-stamp nl80211-commands.inc

=== debian/changelog ===
iw (5.4-1) unstable; urgency=medium

  * New upstream version 5.4.
  * Bump Standards-Version to 4.4.1 (no changes needed).
  * d/gbp.conf: re-enable pristine-tar (was blocked by #913218).
  * d/control: add Rules-Requires-Root: no.
  * d/control: update the Homepage field.
  * Add upstream metadata file.

 -- Paride Legovini <pl@ninthfloor.org>  Sun, 08 Dec 2019 11:11:08 +0000

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: net
 Priority: optional
 Maintainer: Paride Legovini <pl@ninthfloor.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends:
+ debhelper-compat (= 12),
  libnl-3-dev (>= 3.2.3-2~),
  libnl-genl-3-dev (>= 3.2.3-2~),
- pkg-config
-Standards-Version: 4.4.0
+ pkg-config,
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/debian/iw.git
 Vcs-Browser: https://salsa.debian.org/debian/iw
-Homepage: https://wireless.kernel.org/en/users/Documentation/iw
+Homepage: https://wireless.wiki.kernel.org/en/users/documentation/iw
+Rules-Requires-Root: no
 
 Package: iw
 Architecture: linux-any

## iw 5.8

=== debian/changelog ===
iw (5.8-1) unstable; urgency=medium

  * New upstream version 5.8.
  * d/control:
    - Bump Standards-Version to 4.5.0, no changes needed.
    - Bump the dh compat level to 13, no changes needed.
    - Remove relations with ancient packages.
  * d/copyright: update names and years.
  * debian/*: rewrap (cosmetic, wrap-and-sort -ast).

 -- Paride Legovini <paride@debian.org>  Thu, 03 Sep 2020 15:52:34 +0000

=== debian/control ===
Source: iw
Section: net
Priority: optional
Maintainer: Paride Legovini <paride@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libnl-3-dev,
 libnl-genl-3-dev,
 pkg-config,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian/iw.git
Vcs-Browser: https://salsa.debian.org/debian/iw
Homepage: https://wireless.wiki.kernel.org/en/users/documentation/iw
Rules-Requires-Root: no

Package: iw
Architecture: linux-any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 crda,
Description: tool for configuring Linux wireless devices
 This package contains the `iw' tool which allows you to configure and show
 information about wireless networking.
 .
 In the future iw will become the canonical command line tool for wireless
 configuration and iwconfig/wireless-tools will no longer be required. See
 /usr/share/doc/iw/README.Debian for a more detailed overview of iw.

## iw 5.9

=== Makefile ===
--- 
+++ 
@@ -14,9 +14,10 @@
 CFLAGS_EVAL := $(call cc-option,-Wstringop-overflow=4)
 
 CFLAGS ?= -O2 -g
-CFLAGS += -Wall -Wextra -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common \
-	  -Werror-implicit-function-declaration -Wsign-compare -Wno-unused-parameter \
-	  $(CFLAGS_EVAL)
+CFLAGS += -Wall -Wextra -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common
+CFLAGS += -Werror-implicit-function-declaration -Wsign-compare -Wno-unused-parameter
+CFLAGS += -Wdeclaration-after-statement
+CFLAGS += $(CFLAGS_EVAL)
 
 _OBJS := $(sort $(patsubst %.c,%.o,$(wildcard *.c)))
 VERSION_OBJS := $(filter-out version.o, $(_OBJS))

=== debian/changelog ===
iw (5.9-3) unstable; urgency=medium

  * d/control:
    - Add Recommends: wireless-regdb, which provides the regulatory database
      used by the kernel to comply with WiFi regulations. Thanks to Paul Wise.
    - Update package description (Closes: #825031).

 -- Paride Legovini <paride@debian.org>  Sun, 01 Nov 2020 14:03:12 +0000

iw (5.9-2) unstable; urgency=medium

  * d/control: drop Recommends: crda (deprecated since linux v4.15)
    Thanks to Diederik de Haas (Closes: #972994)

 -- Paride Legovini <paride@debian.org>  Tue, 27 Oct 2020 11:12:03 +0000

iw (5.9-1) unstable; urgency=medium

  * New upstream version 5.9

 -- Paride Legovini <paride@debian.org>  Mon, 26 Oct 2020 18:45:42 +0000

=== debian/control ===
--- 
+++ 
@@ -20,11 +20,12 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- crda,
+ wireless-regdb,
 Description: tool for configuring Linux wireless devices
- This package contains the `iw' tool which allows you to configure and show
- information about wireless networking.
+ This package contains the 'iw' command line tool which allows to configure and
+ show information about wireless devices.
  .
- In the future iw will become the canonical command line tool for wireless
- configuration and iwconfig/wireless-tools will no longer be required. See
- /usr/share/doc/iw/README.Debian for a more detailed overview of iw.
+ iw is based on the nl80211 kernel interface and supports the majority of
+ fairly recent hardware. The old tool iwconfig, which uses Wireless Extensions
+ interface, is deprecated and it is strongly recommended to switch to iw and
+ nl80211.

=== debian/rules ===
--- 
+++ 
@@ -14,13 +14,6 @@
 	# The same goes for dh_auto_install and the `install` target.
 	dh_auto_clean -- NO_PKG_CONFIG=1
 
-override_dh_auto_build:
-	# The Makefile supports CFLAGS, but not CPPFLAGS. Let's append them.
-	#
-	# Patch merged upstream (commit 02bc7751d7ac7db1b4e2ca354bd369a3c7f27cde).
-	# TODO: drop this override with the next upstream release (> 4.14).
-	CFLAGS="$$CFLAGS $$CPPFLAGS" dh_auto_build
-
 override_dh_auto_install:
 	# See the comment for override_dh_auto_clean.
 	dh_auto_install -- NO_PKG_CONFIG=1 SBINDIR=/sbin

## iw 5.16

=== debian/changelog ===
iw (5.16-1build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:00:21 +0100

iw (5.16-1) unstable; urgency=medium

  * New upstream version 5.16
  * d/control: bump Standards-Version to 4.6.0, no changes needed
  * d/gbp.conf: set debian-branch = debian/latest (DEP-14)
  * d/copyright: update copyright years for debian/*

 -- Paride Legovini <paride@debian.org>  Mon, 15 Nov 2021 16:32:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: iw
 Section: net
 Priority: optional
-Maintainer: Paride Legovini <paride@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paride Legovini <paride@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libnl-3-dev,
  libnl-genl-3-dev,
  pkg-config,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian/iw.git
 Vcs-Browser: https://salsa.debian.org/debian/iw
 Homepage: https://wireless.wiki.kernel.org/en/users/documentation/iw

## iw 5.19

=== Makefile ===
--- 
+++ 
@@ -45,30 +45,30 @@
 endif
 
 ifeq ($(NL2FOUND),Y)
-CFLAGS += -DCONFIG_LIBNL20
-LIBS += -lnl-genl
+override CFLAGS += -DCONFIG_LIBNL20
+override LIBS += -lnl-genl
 NLLIBNAME = libnl-2.0
 endif
 
 ifeq ($(NL3xFOUND),Y)
 # libnl 3.2 might be found as 3.2 and 3.0
 NL3FOUND = N
-CFLAGS += -DCONFIG_LIBNL30
-LIBS += -lnl-genl-3
+override CFLAGS += -DCONFIG_LIBNL30
+override LIBS += -lnl-genl-3
 NLLIBNAME = libnl-3.0
 endif
 
 ifeq ($(NL3FOUND),Y)
-CFLAGS += -DCONFIG_LIBNL30
-LIBS += -lnl-genl
+override CFLAGS += -DCONFIG_LIBNL30
+override LIBS += -lnl-genl
 NLLIBNAME = libnl-3.0
 endif
 
 # nl-3.1 has a broken libnl-gnl-3.1.pc file
 # as show by pkg-config --debug --libs --cflags --exact-version=3.1 libnl-genl-3.1;echo $?
 ifeq ($(NL31FOUND),Y)
-CFLAGS += -DCONFIG_LIBNL30
-LIBS += -lnl-genl
+override CFLAGS += -DCONFIG_LIBNL30
+override LIBS += -lnl-genl
 NLLIBNAME = libnl-3.1
 endif
 
@@ -76,8 +76,8 @@
 $(error Cannot find development files for any supported version of libnl)
 endif
 
-LIBS += $(shell $(PKG_CONFIG) --libs $(NLLIBNAME))
-CFLAGS += $(shell $(PKG_CONFIG) --cflags $(NLLIBNAME))
+override LIBS += $(shell $(PKG_CONFIG) --libs $(NLLIBNAME))
+override CFLAGS += $(shell $(PKG_CONFIG) --cflags $(NLLIBNAME))
 endif # NO_PKG_CONFIG
 
 ifeq ($(V),1)

=== debian/changelog ===
iw (5.19-1) unstable; urgency=medium

  [ Paride Legovini ]
  * New upstream version 5.19.
    (Closes: #974833, thanks to Diederik de Haas)
  * d/control: bump Standards-Version to 4.6.1, no changes needed
  * d/control: fix spelling error in description

  [ Ben Hutchings ]
  * d/salsa-ci.yml: Add CI configuration for Salsa
  * d/rules: Enable verbose build unless the "terse" build option is used

 -- Paride Legovini <paride@debian.org>  Tue, 12 Jul 2022 22:30:15 +0000

=== debian/control ===
Source: iw
Section: net
Priority: optional
Maintainer: Paride Legovini <paride@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libnl-3-dev,
 libnl-genl-3-dev,
 pkg-config,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/debian/iw.git
Vcs-Browser: https://salsa.debian.org/debian/iw
Homepage: https://wireless.wiki.kernel.org/en/users/documentation/iw
Rules-Requires-Root: no

Package: iw
Architecture: linux-any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 wireless-regdb,
Description: tool for configuring Linux wireless devices
 This package contains the 'iw' command line tool which allows one to configure
 and show information about wireless devices.
 .
 iw is based on the nl80211 kernel interface and supports the majority of
 fairly recent hardware. The old tool iwconfig, which uses Wireless Extensions
 interface, is deprecated and it is strongly recommended to switch to iw and
 nl80211.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 
 %:
 	dh $@
+
+override_dh_auto_build:
+	dh_auto_build -- V=$(if $(filter terse,$(DEB_BUILD_OPTIONS)),0,1)
 
 override_dh_auto_clean:
 	# dh_auto_clean does not set PKG_CONFIG according to the cross-compilation

## iw 6.7

=== debian/changelog ===
iw (6.7-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:00:27 +0000

iw (6.7-1) unstable; urgency=medium

  * New upstream version 6.7
  * d/u/signing-key.asc: update signing key
  * d/control: apply wrap-and-sort -kbast
  * d/control: replace B-D on obsolete pkg-config with pkgconf

 -- Paride Legovini <paride@debian.org>  Tue, 05 Mar 2024 00:17:19 +0100

iw (5.19-2) experimental; urgency=medium

  * d/control: Update Maintainer, Uploaders, Vcs-* for team-maintenance
  * d/rules: Install iw in /usr/sbin

 -- Ben Hutchings <benh@debian.org>  Fri, 24 Nov 2023 23:56:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: iw
 Section: net
 Priority: optional
-Maintainer: Paride Legovini <paride@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
+Uploaders:
+ Paride Legovini <paride@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  libnl-3-dev,
  libnl-genl-3-dev,
- pkg-config,
+ pkgconf,
 Standards-Version: 4.6.1
-Vcs-Git: https://salsa.debian.org/debian/iw.git
-Vcs-Browser: https://salsa.debian.org/debian/iw
+Vcs-Git: https://salsa.debian.org/kernel-team/iw.git
+Vcs-Browser: https://salsa.debian.org/kernel-team/iw
 Homepage: https://wireless.wiki.kernel.org/en/users/documentation/iw
 Rules-Requires-Root: no

## iw 6.9

=== debian/changelog ===
iw (6.9-1) unstable; urgency=medium

  * New upstream version

 -- Ben Hutchings <benh@debian.org>  Thu, 30 May 2024 20:10:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: iw
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
+Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders:
  Paride Legovini <paride@debian.org>,
 Build-Depends:

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%\.xz$%.sign%,decompress" \
  https://kernel.org/pub/software/network/iw/iw-([\.0-9]+)\.tar\.xz

## iw 6.17

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,9 @@
 CFLAGS += -Wall -Wextra -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common
 CFLAGS += -Werror-implicit-function-declaration -Wsign-compare -Wno-unused-parameter
 CFLAGS += -Wdeclaration-after-statement
+CFLAGS += -D__SANE_USERSPACE_TYPES__
 CFLAGS += $(CFLAGS_EVAL)
+CFLAGS += $(EXTRA_CFLAGS)
 
 _OBJS := $(sort $(patsubst %.c,%.o,$(wildcard *.c)))
 VERSION_OBJS := $(filter-out version.o, $(_OBJS))

=== debian/changelog ===
iw (6.17-1) unstable; urgency=medium

  * New upstream version
  * d/control: Add myself to Uploaders
  * d/u/signing-key.asc: Update expiry date
  * d/.gitignore: Ignore files generated by debhelper or dpkg-dev

 -- Ben Hutchings <benh@debian.org>  Mon, 29 Sep 2025 20:51:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders:
+ Ben Hutchings <benh@debian.org>,
  Paride Legovini <paride@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,5 @@
 
 override_dh_auto_install:
 	# See the comment for override_dh_auto_clean.
-	dh_auto_install -- NO_PKG_CONFIG=1 SBINDIR=/sbin
+# Add SBINDIR=/sbin if backporting to bookworm or earlier
+	dh_auto_install -- NO_PKG_CONFIG=1
